<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.product.mapper.ProductSubCategoryMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="org.springblade.product.entity.ProductSubCategory">
        <id column="id" property="id" />
        <result column="large_type" property="largeType" />
        <result column="small_type" property="smallType" />
        <result column="cpid" property="cpid" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, large_type, small_type, cpid
    </sql>


    <select id="getPageByQuery" resultMap="BaseResultMap">
        SELECT
        <include refid="Base_Column_List"></include>
        FROM
        product_sub_category
    </select>

</mapper>
